// issueAtt 1
var rand_issue1_str = "Calculating...";
var rand_issue1_str_full = "Calculating...";
var e_issue1_str = "Calculating...";
var e_issue1_str_full = "Calculating...";
var z1_issue1_str = "Calculating...";
var z1_issue1_str_full = "Calculating...";
var z2_issue1_str = "Calculating...";
var z2_issue1_str_full = "Calculating...";
var CI_issue1_str = "Calculating...";
var CI_issue1_str_full = "Calculating...";
var w1_issue1_str = "Calculating...";
var w1_issue1_str_full = "Calculating...";
var w2_issue1_str = "Calculating...";
var w2_issue1_str_full = "Calculating...";

// issueAtt 2
var rand_issue2_str = "Calculating...";
var rand_issue2_str_full = "Calculating...";
var e_issue2_str = "Calculating...";
var e_issue2_str_full = "Calculating...";
var z1_issue2_str = "Calculating...";
var z1_issue2_str_full = "Calculating...";
var z2_issue2_str = "Calculating...";
var z2_issue2_str_full = "Calculating...";
var Aiseed_issue2_str = "Calculating...";
var Aiseed_issue2_str_full = "Calculating...";
var wrr_issue2_str = "Calculating...";
var wrr_issue2_str_full = "Calculating...";

// setup
var h1_setup_str = "Calculating...";
var h1_setup_str_full = "Calculating...";
var h2_setup_str = "Calculating...";
var h2_setup_str_full = "Calculating...";
var n_setup_str = "Calculating...";
var n_setup_str_full = "Calculating...";
var g1_setup_str = "Calculating...";
var g1_setup_str_full = "Calculating...";
var g2_setup_str = "Calculating...";
var g2_setup_str_full = "Calculating...";
var g3_setup_str = "Calculating...";
var g3_setup_str_full = "Calculating...";
var Aseed_setup_str = "Calculating...";
var Aseed_setup_str_full = "Calculating...";


// proveAtt
var a_prove_str = "Calculating...";
var a_prove_str_full = "Calculating...";
var c1_prove_str = "Calculating...";
var c1_prove_str_full = "Calculating...";
var c2_prove_str = "Calculating...";
var c2_prove_str_full = "Calculating...";
var e_prove_str = "Calculating...";
var e_prove_str_full = "Calculating...";
var z1_prove_str = "Calculating...";
var z1_prove_str_full = "Calculating...";
var z2_prove_str = "Calculating...";
var z2_prove_str_full = "Calculating...";
var z3_prove_str = "Calculating...";
var z3_prove_str_full = "Calculating...";
var zs_prove_str = "Calculating...";
var zs_prove_str_full = "Calculating...";

// revoke
var rev_revoke_str = "Calculating...";
var rev_revoke_str_full = "Calculating...";


function radkovani (str){  
	str_full = "";
	for (i = 1; i < str.length+1; i++){
		str_full += str[i-1];
		if (i % 77 == 0) str_full += "<br>"; 
	}
	return str_full;
}

function zkraceni (str){
	str_short = str[0] + str[1] + str[2] + "..." + str[str.length - 3] + str[str.length - 2] + str[str.length - 1];
	return str_short;
}

var worker = new Worker('pocitani_bigint.js');
worker.onmessage = function (event) {

	w1_issue1_str = zkraceni(event.data[0]);
	w1_issue1_str_full = radkovani(event.data[0]);
	w2_issue1_str = zkraceni(event.data[1]);
	w2_issue1_str_full = radkovani(event.data[1]);
    rand_issue1_str = zkraceni(event.data[2]);
	rand_issue1_str_full = radkovani(event.data[2]);
	e_issue1_str = zkraceni(event.data[3]);
	e_issue1_str_full = radkovani(event.data[3]);
	z1_issue1_str = zkraceni(event.data[4]);
	z1_issue1_str_full = radkovani(event.data[4]);
	z2_issue1_str = zkraceni(event.data[5]);
	z2_issue1_str_full = radkovani(event.data[5]);
	CI_issue1_str = zkraceni(event.data[6]);
	CI_issue1_str_full = radkovani(event.data[6]);
	rand_issue2_str = zkraceni(event.data[7]);
	rand_issue2_str_full = radkovani(event.data[7]);
	e_issue2_str = zkraceni(event.data[8]);
	e_issue2_str_full = radkovani(event.data[8]);
	z1_issue2_str = zkraceni(event.data[9]);
	z1_issue2_str_full = radkovani(event.data[9]);
	z2_issue2_str = zkraceni(event.data[10]);
	z2_issue2_str_full = radkovani(event.data[10]);
	Aiseed_issue2_str = zkraceni(event.data[11]);
	Aiseed_issue2_str_full = radkovani(event.data[11]);
	wrr_issue2_str = zkraceni(event.data[12]);
	wrr_issue2_str_full = radkovani(event.data[12]);
	h1_setup_str = zkraceni(event.data[13]);
	h1_setup_str_full = radkovani(event.data[13]);
	h2_setup_str = zkraceni(event.data[14]);
	h2_setup_str_full = radkovani(event.data[14]);
	g1_setup_str = zkraceni(event.data[15]);
	g1_setup_str_full = radkovani(event.data[15]);
	g2_setup_str = zkraceni(event.data[16]);
	g2_setup_str_full = radkovani(event.data[16]);
	g3_setup_str = zkraceni(event.data[17]);
	g3_setup_str_full = radkovani(event.data[17]);
	Aseed_setup_str = zkraceni(event.data[18]);
	Aseed_setup_str_full = radkovani(event.data[18]);
	a_prove_str = zkraceni(event.data[19]);
	a_prove_str_full = radkovani(event.data[19]);
	c1_prove_str = zkraceni(event.data[20]);
	c1_prove_str_full = radkovani(event.data[20]);
	c2_prove_str = zkraceni(event.data[21]);
	c2_prove_str_full = radkovani(event.data[21]);
	e_prove_str = zkraceni(event.data[22]);
	e_prove_str_full = radkovani(event.data[22]);
	z1_prove_str = zkraceni(event.data[23]);
	z1_prove_str_full = radkovani(event.data[23]);
	z2_prove_str = zkraceni(event.data[24]);
	z2_prove_str_full = radkovani(event.data[24]);
	z3_prove_str = zkraceni(event.data[25]);
	z3_prove_str_full = radkovani(event.data[25]);
	zs_prove_str = zkraceni(event.data[26]);
	zs_prove_str_full = radkovani(event.data[26]);
	rev_revoke_str = zkraceni(event.data[27]);
	rev_revoke_str_full = radkovani(event.data[27]);
	
	
	
};
   
   

   
